export declare namespace OutputState {
    type ISource = {
        sourceId: string;
        source: string;
        increment?: number;
    };
    type IDataset = {
        sourceId: string;
        dataset: any;
        increment?: number;
    };
    type IExecute = {
        sourceId: string;
        source: string;
        increment?: number;
    };
    type IGrade = {
        sourceId: string;
        success: boolean;
        increment?: number;
    };
}
export type IOutputState = {
    source?: OutputState.ISource;
    dataset?: OutputState.IDataset;
    setSource?: OutputState.ISource;
    execute?: OutputState.IExecute;
    grade?: OutputState.IGrade;
};
export interface IOutputsState {
    outputs: Map<string, IOutputState>;
}
export type OutputState = IOutputsState & {
    setOutputs: (outputs: Map<string, IOutputState>) => void;
    selectJupyterSource: (id: string) => OutputState.ISource | undefined;
    selectJupyterSetSource: (id: string) => OutputState.ISource | undefined;
    selectDataset: (id: string) => OutputState.IDataset | undefined;
    selectExecute: (id: string) => OutputState.IExecute | undefined;
    selectGrade: (id: string) => OutputState.IGrade | undefined;
    source: (source: OutputState.ISource) => void;
    dataset: (dataset: OutputState.IDataset) => void;
    execute: (execute: OutputState.IExecute) => void;
    setSource: (source: OutputState.ISource) => void;
    grade: (grade: OutputState.IGrade) => void;
};
export declare const outputStore: import("zustand").StoreApi<OutputState>;
export declare function useOutputStore(): OutputState;
export declare function useOutputStore<T>(selector: (state: OutputState) => T): T;
export default useOutputStore;
